import requests

from create_order_in_crm import BASE_URL, CRM_API_KEY


def get_order_number(order_id: int):
    order_url = BASE_URL + f"order/{order_id}"

    headers = {
        "accept": "application/json",
        "Authorization": f"Bearer {CRM_API_KEY}",
    }

    order_info_response = requests.get(
        order_url, headers=headers, params={"include": "custom_fields"}
    )

    order_info = order_info_response.json()
    order_number = order_info.get("source_uuid")
    return order_number
